## apache-hawq-src-2.4.0.0.tar.gz

=== Makefile ===
# The PostgreSQL make files exploit features of GNU make that other
# makes do not have. Because it is a common mistake for users to try
# to build Postgres with a different make, we have this make file
# that, as a service, will look for a GNU make and invoke it, or show
# an error message if none could be found.

# If the user were using GNU make now, this file would not get used
# because GNU make uses a make file named "GNUmakefile" in preference
# to "Makefile" if it exists. PostgreSQL is shipped with a
# "GNUmakefile". If the user hasn't run the configure script yet, the
# GNUmakefile won't exist yet, so we catch that case as well.


all check install installdirs installcheck installcheck-parallel installcheck-good dist distcheck world check-world install-world installcheck-world uninstall clean distclean maintainer-clean:
	@if [ ! -f GNUmakefile ] ; then \
	   echo "You need to run the 'configure' program first. See the file"; \
	   echo "'INSTALL' for installation instructions." ; \
	   false ; \
	 fi
	@IFS=':' ; \
	 for dir in $$PATH; do \
	   for prog in gmake gnumake make; do \
	     if [ -f $$dir/$$prog ] && ( $$dir/$$prog -f /dev/null --version 2>/dev/null | grep GNU >/dev/null 2>&1 ) ; then \
	       GMAKE=$$dir/$$prog; \
	       break 2; \
	     fi; \
	   done; \
	 done; \
	\
	 if [ x"$${GMAKE+set}" = xset ]; then \
	   echo "Using GNU make found at $${GMAKE}"; \
	   $${GMAKE} $@ ; \
	 else \
	   echo "You must use GNU make to build PostgreSQL." ; \
	   false; \
	 fi

=== config/Makefile ===
# config/Makefile

subdir = config
top_builddir = ..
include $(top_builddir)/src/Makefile.global


install: all installdirs
	$(INSTALL_SCRIPT) $(srcdir)/install-sh '$(DESTDIR)$(pgxsdir)/config/install-sh'
	$(INSTALL_SCRIPT) $(srcdir)/mkinstalldirs '$(DESTDIR)$(pgxsdir)/config/mkinstalldirs'

installdirs:
	$(MKDIR_P) '$(DESTDIR)$(pgxsdir)/config'

uninstall:
	rm -f '$(DESTDIR)$(pgxsdir)/config/install-sh' '$(DESTDIR)$(pgxsdir)/config/mkinstalldirs'

=== contrib/Makefile ===
# $PostgreSQL: pgsql/contrib/Makefile,v 1.70 2006/09/09 04:07:51 tgl Exp $

subdir = contrib
top_builddir = ..
include $(top_builddir)/src/Makefile.global

WANTED_DIRS = \
		orafce \
		extprotocol \
		gp_cancel_query \
		formatter_fixedwidth \
		hawq-hadoop

ifeq ($(with_pgcrypto), yes)
WANTED_DIRS += pgcrypto
endif

# Missing:
#		start-scripts	\ (does not have a makefile)
#		xml2		\ (requires libxml installed)

all install installdirs uninstall distprep:
	@for dir in $(WANTED_DIRS); do \
		$(MAKE) -C $$dir $@ || exit; \
	done

clean distclean maintainer-clean:
	@for dir in $(WANTED_DIRS); do \
		$(MAKE) -C $$dir $@ || true; \
	done
	$(MAKE) -C hawq-package $@

# We'd like check operations to run all the subtests before failing.
check installcheck: pgcrypto_prepare
	@CHECKERR=0; for dir in $(WANTED_DIRS); do \
		$(MAKE) -C $$dir $@ || CHECKERR=$$?; \
	done; \
	exit $$CHECKERR

=== dist/Makefile ===
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.
#
#-------------------------------------------------------------------------
#
# Makefile for license information of the rpm package
#
#-------------------------------------------------------------------------

subdir = dist
top_builddir = ..
include $(top_builddir)/src/Makefile.global

all: install

install:
	${MAKE} -C hawq $@

=== pxf/Makefile ===
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.
#
# protect the default target for this file from the targets in Makefile.global
default: all

ifneq "$(HD)" ""
    BUILD_PARAMS+= -Dhd=$(HD)
else
    ifneq "$(PXF_HOME)" ""
        BUILD_PARAMS+= -DdeployPath="$(PXF_HOME)"
    else ifneq "$(GPHOME)" ""
        PXF_HOME= "$(GPHOME)/pxf"
        BUILD_PARAMS+= -DdeployPath="$(PXF_HOME)"
    else
		@echo "Cannot invoke install without configuring either PXF_HOME or GPHOME"
		exit
    endif
endif

ifneq "$(LICENSE)" ""
    BUILD_PARAMS+= -Plicense="$(LICENSE)"
endif

ifneq "$(VENDOR)" ""
    BUILD_PARAMS+= -Pvendor="$(VENDOR)"
endif

ifneq "$(PXF_VERSION)" ""
    BUILD_PARAMS+= -Pversion="$(PXF_VERSION)"
endif

ifneq "$(DATABASE)" ""
    BUILD_PARAMS+= -Ddatabase="$(DATABASE)"
endif

help:
	@echo 
	@echo "help it is then"
	@echo   "Possible targets"
	@echo	"  - all (clean, build, unittest, jar, tar, rpm)"
	@echo	"  -  -  HD=<hdp> - set classpath to match hadoop distribution. default will be apache hadoop compliant"
	@echo	"  -  -  LICENSE=<license info> - add license info to created RPMs"
	@echo	"  -  -  VENDOR=<vendor name> - add vendor name to created RPMs"
	@echo	"  -  -  PLUGINS_EXCLUDE_RPM=plugin1, plugin2,... - do not build and RPM for given comma-separated list of plugins"
	@echo	"  -  -  DATABASE=build pxf for specific database(HAWQ is default, other databases are defined under gradle/profiles)"
	@echo	"  - tomcat - builds tomcat rpm from downloaded tarball"
	@echo	"  -  -  LICENSE and VENDOR parameters can be used as well"
	@echo	"  - install - setup PXF along with tomcat in the configured deployPath"
	@echo	"  - bundle - bundle PXF along with tomcat into a single tarball"
	@echo	"  - doc - creates aggregate javadoc under docs"

all:
	./gradlew clean release $(BUILD_PARAMS) $$(echo $$(for i in $$(echo ${PLUGINS_EXCLUDE_RPM} | sed 's/,/ /g'); do echo -x $$i:buildRpm ; done))
	
unittest:
	./gradlew test
	
jar:
	./gradlew jar $(BUILD_PARAMS)
	
tar:
	./gradlew tar $(BUILD_PARAMS)

rpm: tomcat
	./gradlew rpm $(BUILD_PARAMS)
	
clean:
	./gradlew clean
	@rm -rf ./distributions/apache-tomcat*.rpm

distclean maintainer-clean: clean

doc:
	./gradlew aggregateJavadoc 

.PHONY: tomcat
tomcat:
	./gradlew tomcatRpm $(BUILD_PARAMS)

install:
	./gradlew install $(BUILD_PARAMS)
	@if [ -d "$(PXF_HOME)/lib" ] ; then \
		cd $(PXF_HOME)/lib && \
		for X in pxf-*-[0-9]*.jar; do \
			ln -sf $$X `echo $$X | sed -e 's/-[a-zA-Z0-9.]*.jar/.jar/'`; \
		done; \
	fi

bundle:
	./gradlew bundle $(BUILD_PARAMS)

=== ranger-plugin/Makefile ===
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.
#
# HAWQ ranger-plugin makefile
subdir = ranger-plugin
top_builddir = ../
ranger_dir = $(prefix)/ranger
include Makefile.global

MVN_OPTS="-Dorg.slf4j.simpleLogger.log.org.apache.maven.cli.transfer.Slf4jMavenTransferListener=warn -B -e"
##########################################################################
#
.PHONY: all install distclean clean uninstall

ifeq ($(enable_rps), yes)

all:
ifdef MAVEN
	$(MAVEN) $(MVN_OPTS) clean
	$(MAVEN) $(MVN_OPTS) package
else
	@$(missing) mvn $< $(MVN_OPTS) clean
	@$(missing) mvn $< $(MVN_OPTS) package
endif

install:
	@echo "Install ranger-plugin by copy corresponding files to HAWQ install dir."
	mkdir -p $(ranger_dir)/{bin,etc,lib,plugin-service}
	mkdir -p $(ranger_dir)/plugin-service/{bin,conf,lib,logs,temp,webapps,work}
	mkdir -p $(ranger_dir)/plugin-service/work/policycache
	cp $(top_builddir)$(subdir)/scripts/enable-ranger-plugin.sh  $(ranger_dir)/bin
	cp $(top_builddir)$(subdir)/scripts/rps.sh                   $(ranger_dir)/bin
	cp $(top_builddir)$(subdir)/scripts/catalina.sh              $(ranger_dir)/bin
	chmod -R 750 $(ranger_dir)/bin
	cp $(top_builddir)$(subdir)/conf/ranger-servicedef-hawq.json              $(ranger_dir)/etc
	cp $(top_builddir)$(subdir)/service/target/conf/ranger-hawq-security.xml  $(ranger_dir)/etc
	cp $(top_builddir)$(subdir)/service/target/conf/ranger-hawq-audit.xml     $(ranger_dir)/etc
	cp $(top_builddir)$(subdir)/service/target/conf/rps.properties            $(ranger_dir)/etc
	cp $(top_builddir)$(subdir)/service/target/conf/log4j.properties          $(ranger_dir)/etc
	cp $(top_builddir)$(subdir)/admin-plugin/target/ranger-plugin-admin-*.jar $(ranger_dir)/lib
	cp $(top_builddir)$(subdir)/admin-plugin/target/lib/postgresql-*.jar      $(ranger_dir)/lib
	cp $(top_builddir)$(subdir)/scripts/setenv.sh                                      $(ranger_dir)/plugin-service/bin
	cp $(top_builddir)$(subdir)/conf/server.xml                                        $(ranger_dir)/plugin-service/conf
	cp $(top_builddir)$(subdir)/conf/catalina.properties                               $(ranger_dir)/plugin-service/conf
	cp $(top_builddir)$(subdir)/service/target/ranger-plugin-service-*/WEB-INF/lib/*   $(ranger_dir)/plugin-service/lib/
	rm $(ranger_dir)/plugin-service/lib/jersey-*-1.9.jar
	cp $(top_builddir)$(subdir)/service/target/ranger-plugin-service-*.war             $(ranger_dir)/plugin-service/webapps/rps.war

uninstall:
	rm -rf $(ranger_dir)

clean:
ifdef MAVEN
	$(MAVEN) $(MVN_OPTS) clean
else
	@$(missing) mvn $< $@
endif

distclean: clean

else

all install distclean clean uninstall:

clean:
	-rm -rf admin-plugin/target
	-rm -rf service/target

distclean: clean

endif

rpm:
	@echo "Build rpm package for HAWQ ranger-plugin."
	./scripts/build_ranger_rpm.sh

=== src/Makefile ===
#-------------------------------------------------------------------------
#
# Makefile for src
#
# Copyright (c) 1994, Regents of the University of California
#
# $PostgreSQL: pgsql/src/Makefile,v 1.40 2006/06/22 23:50:35 tgl Exp $
#
#-------------------------------------------------------------------------

subdir = src
top_builddir = ..
include Makefile.global


all install installdirs uninstall distprep:
	$(MAKE) -C port $@
	$(MAKE) -C timezone $@
	$(MAKE) -C backend $@
	$(MAKE) -C backend/utils/mb/conversion_procs $@
	$(MAKE) -C include $@
	$(MAKE) -C interfaces $@
	$(MAKE) -C bin $@
	$(MAKE) -C pl $@
	$(MAKE) -C makefiles $@
	$(MAKE) -C test/regress $@
	$(MAKE) -C tools/fsync $@

feature-test:
	$(MAKE) -C test feature-test

feature-test-clean:
	$(MAKE) -C test clean

install: install-local

install-local: installdirs-local
	$(INSTALL_DATA) Makefile.global '$(DESTDIR)$(pgxsdir)/$(subdir)/Makefile.global'
	$(INSTALL_DATA) Makefile.port '$(DESTDIR)$(pgxsdir)/$(subdir)/Makefile.port'
	$(INSTALL_DATA) $(srcdir)/Makefile.shlib '$(DESTDIR)$(pgxsdir)/$(subdir)/Makefile.shlib'
	$(INSTALL_DATA) $(srcdir)/nls-global.mk '$(DESTDIR)$(pgxsdir)/$(subdir)/nls-global.mk'

installdirs: installdirs-local

installdirs-local:
	$(MKDIR_P) '$(DESTDIR)$(pgxsdir)/$(subdir)'

uninstall: uninstall-local

uninstall-local:
	rm -f $(addprefix '$(DESTDIR)$(pgxsdir)/$(subdir)'/, Makefile.global Makefile.port Makefile.shlib nls-global.mk)

clean:
	$(MAKE) -C port $@
	$(MAKE) -C timezone $@
	$(MAKE) -C backend $@
	$(MAKE) -C include $@
	$(MAKE) -C interfaces $@
	$(MAKE) -C bin $@
	$(MAKE) -C pl $@
	$(MAKE) -C makefiles $@
	$(MAKE) -C test $@
	$(MAKE) -C tutorial NO_PGXS=1 $@
	$(MAKE) -C test/thread $@
	$(MAKE) -C test/regress $@
	$(MAKE) -C test/feature $@
	$(MAKE) -C tools/fsync $@

distclean maintainer-clean:
	$(MAKE) -C port $@
	$(MAKE) -C timezone $@
	$(MAKE) -C backend $@
	#$(MAKE) -C backend/snowball $@
	$(MAKE) -C include $@
	$(MAKE) -C interfaces $@
	$(MAKE) -C bin $@
	$(MAKE) -C pl $@
	$(MAKE) -C makefiles $@
	$(MAKE) -C test $@
	$(MAKE) -C tutorial NO_PGXS=1 $@
	$(MAKE) -C test/thread $@
	$(MAKE) -C test/regress $@
	$(MAKE) -C test/feature clean
	$(MAKE) -C tools/fsync $@
	rm -f Makefile.port Makefile.global


.PHONY: install-local installdirs-local uninstall-local

=== tools/Makefile ===
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.
#
#-------------------------------------------------------------------------
#
# Makefile for the managerment utilities
#
#-------------------------------------------------------------------------

subdir = tools
top_builddir = ..
include $(top_builddir)/src/Makefile.global

all:
	${MAKE} -C gpnetbench $@

install :
	${MAKE} -C bin $@
	${MAKE} -C sbin $@
	${MAKE} -C doc $@
	${MAKE} set_scripts_version
	${MAKE} -C gpnetbench $@

clean distclean:
	${MAKE} -C bin $@
	${MAKE} -C gpnetbench $@

#---------------------------------------------------------------------
# Set Version
#---------------------------------------------------------------------

SET_VERSION_SCRIPTS = \
	bin/gpcheck \
	bin/gpcheckperf \
	bin/gpcrondump.py \
	bin/gpload.py \
	bin/gplogfilter \
	bin/hawq \
	bin/gpscp \
	bin/gpssh \
	bin/gpssh-exkeys \
	bin/gpsys1 \
	bin/lib/gpcheckcat \
	sbin/gpcheck_hostdump \
	lib/python/gppylib/programs/clsAddMirrors.py \
	lib/python/gppylib/programs/clsHostCacheLookup.py \
	lib/python/gppylib/programs/clsInjectFault.py \
	lib/python/gppylib/programs/clsRecoverSegment.py \
	lib/python/gppylib/programs/clsSystemState.py \
	lib/python/gppylib/programs/gppkg.py \
	lib/python/gppylib/programs/kill.py \
	lib/python/gppylib/programs/verify.py \
	lib/python/gppylib/mainUtils.py \
	$(NULL)

set_scripts_version : 
	cd $(top_builddir) && \
	for file in $(SET_VERSION_SCRIPTS); do \
	    if [ -f $(prefix)/$${file} ]; then \
	        perl ./putversion $(prefix)/$${file} ; \
	    fi ; \
	done

=== contrib/extprotocol/Makefile ===
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.
#
MODULE_big = gpextprotocol
OBJS       = gpextprotocol.o

PG_CPPFLAGS = -I$(libpq_srcdir)
PG_LIBS = $(libpq_pgport)

ifdef USE_PGXS
PGXS := $(shell pg_config --pgxs)
include $(PGXS)
else
subdir = contrib/extprotocol
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

=== contrib/formatter_fixedwidth/Makefile ===
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.
#
MODULE_big = fixedwidth
OBJS       = fixedwidth.o

PG_CPPFLAGS = -I$(libpq_srcdir)
PG_LIBS = $(libpq_pgport)

ifdef USE_PGXS
PGXS := $(shell pg_config --pgxs)
include $(PGXS)
else
subdir = contrib/formatter_fixedwidth
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

=== contrib/gp_cancel_query/Makefile ===
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.
#
MODULE_big = gp_cancel_query
OBJS       = gp_cancel_query.o

PG_CPPFLAGS = -I$(libpq_srcdir)

ifdef USE_PGXS
PGXS := $(shell pg_config --pgxs)
include $(PGXS)
else
subdir = contrib/gp_cancel_query
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

=== contrib/gp_mdver/Makefile ===
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.
#
MODULE_big = gp_mdver_utils
OBJS       = gp_mdver_contents.o

DATA_built = gp_mdver_utils.sql
DATA = uninstall_gp_mdver_utils.sql

ifdef USE_PGXS
PGXS := $(shell pg_config --pgxs)
include $(PGXS)
else
subdir = contrib/gp_mdver
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

=== depends/libhdfs3/debian/control ===
Source: libhdfs3
Priority: optional
Maintainer: Zhanwei Wang <wangzw@wangzw.org>
Build-Depends: debhelper (>= 9), cmake, libprotobuf-dev, protobuf-compiler, libxml2-dev, libkrb5-dev, uuid-dev, libgsasl7-dev
Standards-Version: 3.9.5
Section: libs

Package: libhdfs3-dev
Section: libdevel
Architecture: any
Depends: libhdfs3 (= ${binary:Version}), ${misc:Depends}
Description: Native C/C++ HDFS Client - development files
 Libhdfs3, designed as an alternative implementation of libhdfs,
 is implemented based on native Hadoop RPC protocol and
 HDFS data transfer protocol.
 It gets rid of the drawbacks of JNI, and it has a lightweight,
 small memory footprint code base. In addition, it is easy to use and deploy.

Package: libhdfs3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Native C/C++ HDFS Client
 Libhdfs3, designed as an alternative implementation of libhdfs,
 is implemented based on native Hadoop RPC protocol and
 HDFS data transfer protocol.
 It gets rid of the drawbacks of JNI, and it has a lightweight,
 small memory footprint code base. In addition, it is easy to use and deploy.
 .
